
%global kf5_version_min 5.98.0

%bcond_without wayland_default

%bcond_without sddm_wayland_default

%bcond_without systemdBoot

Summary: Plasma workspace, applications and applets
Name:    plasma-workspace
Version: 5.27.11.1
Release:    2%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/plasma/%{name}

Source0: http://download.kde.org/%{stable_kf5}/plasma/%{version}/%{name}-%{version}.tar.xz

%global __provides_exclude_from ^(%{_kf5_qmldir}/.*\\.so|%{_kf5_qtplugindir}/.*\\.so)$

Source10:       kde
Source11:       startkderc
Source15:       opencloudos.desktop

Source20:       breeze-opencloudos-0.2.tar.gz

Source40:       ssh-agent.conf
Source41:       spice-vdagent.conf

Patch102:       https://invent.kde.org/plasma/plasma-workspace/-/commit/0dcf34458d99b07a3d9054ae0c86c656e0dfa7aa.patch


Patch105:       plasma-workspace-5.21.90-folderview_layout.patch
Patch106:       plasma-workspace-5.25.90-enable-open-terminal-action.patch
Patch107:       plasma-workspace-5.25.90-enable-lock-logout-action.patch
Patch108:       hide-virtual-keyboard-indicator-on-sddm.patch

BuildRequires:  zlib-devel
BuildRequires:  dbusmenu-qt5-devel
BuildRequires:  libGL-devel
BuildRequires:  mesa-libGLES-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXau-devel
BuildRequires:  libXdmcp-devel
BuildRequires:  libxkbfile-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXtst-devel
BuildRequires:  libXft-devel
BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-renderutil-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  xcb-util-devel
BuildRequires:  glib2-devel
BuildRequires:  fontconfig-devel
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(libusb)
BuildRequires:  libbsd-devel
BuildRequires:  pam-devel
BuildRequires:  lm_sensors-devel
BuildRequires:  pciutils-devel
BuildRequires:  pipewire-devel
%ifnarch s390 s390x
BuildRequires:  libraw1394-devel
%endif
BuildRequires:  gpsd-devel
BuildRequires:  libqalculate-devel
%global kf5_pim 1
BuildRequires:  kf5-kholidays-devel
BuildRequires:  kf5-prison-devel
BuildRequires:  libicu-devel

BuildRequires:  qt5-qtbase-devel >= 5.15
BuildRequires:  qt5-qtbase-private-devel

BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  qt5-qtscript-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtwayland-devel
BuildRequires:  phonon-qt5-devel
BuildRequires:  polkit-qt5-1-devel

BuildRequires:  kf5-rpm-macros >= %{kf5_version_min}
BuildRequires:  systemd-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-baloo-devel >= %{kf5_version_min}
BuildRequires:  kf5-libkexiv2-devel >= %{kf5_version_min}
BuildRequires:  kf5-kactivities-stats-devel >= %{kf5_version_min}
BuildRequires:  kf5-karchive-devel >= %{kf5_version_min}
BuildRequires:  kf5-kcmutils-devel >= %{kf5_version_min}
BuildRequires:  kf5-kcrash-devel >= %{kf5_version_min}
BuildRequires:  kf5-kdbusaddons-devel >= %{kf5_version_min}
BuildRequires:  kf5-kdeclarative-devel >= %{kf5_version_min}
BuildRequires:  kf5-kdesu-devel >= %{kf5_version_min}
BuildRequires:  kf5-kdoctools-devel >= %{kf5_version_min}
BuildRequires:  kf5-kglobalaccel-devel >= %{kf5_version_min}
BuildRequires:  kf5-kguiaddons-devel >= %{kf5_version_min}
BuildRequires:  kf5-kidletime-devel >= %{kf5_version_min}
BuildRequires:  kf5-kinit-devel >= %{kf5_version_min}
BuildRequires:  kf5-kitemmodels-devel >= %{kf5_version_min}
BuildRequires:  kf5-kio-devel >= %{kf5_version_min}
BuildRequires:  kf5-kjsembed-devel >= %{kf5_version_min}
BuildRequires:  kf5-knewstuff-devel >= %{kf5_version_min}
BuildRequires:  kf5-knotifications-devel >= %{kf5_version_min}
BuildRequires:  kf5-knotifyconfig-devel >= %{kf5_version_min}
BuildRequires:  kf5-kpeople-devel >= %{kf5_version_min}
BuildRequires:  kf5-krunner-devel >= %{kf5_version_min}
BuildRequires:  kf5-ktexteditor-devel >= %{kf5_version_min}
BuildRequires:  kf5-ktextwidgets-devel >= %{kf5_version_min}
BuildRequires:  kf5-kunitconversion-devel >= %{kf5_version_min}
BuildRequires:  kf5-kwallet-devel >= %{kf5_version_min}
BuildRequires:  kf5-kxmlrpcclient-devel >= %{kf5_version_min}
BuildRequires:  kf5-networkmanager-qt-devel >= %{kf5_version_min}
BuildRequires:  kf5-plasma-devel >= %{kf5_version_min}
Requires:       kf5-plasma >= %{kf5_version_min}
BuildRequires:  kf5-threadweaver-devel >= %{kf5_version_min}
BuildRequires:  kf5-kded-devel >= %{kf5_version_min}
BuildRequires:  kf5-kirigami2-devel >= %{kf5_version_min}
BuildRequires:  kf5-kquickcharts-devel >= %{kf5_version_min}

BuildRequires:  kf5-kwayland-devel >= %{kf5_version_min}
BuildRequires:  wayland-devel >= 1.3.0
BuildRequires:  libkscreen-qt5-devel >= %{majmin_ver_kf5}
BuildRequires:  libksysguard-devel >= %{majmin_ver_kf5}
BuildRequires:  kscreenlocker-devel >= %{majmin_ver_kf5}
BuildRequires:  kwin-devel >= %{majmin_ver_kf5}
BuildRequires:  layer-shell-qt-devel >= %{majmin_ver_kf5}

BuildRequires:  PackageKit-Qt5-devel

BuildRequires:  qt5-qtbase-static

BuildRequires:  kuserfeedback-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  plasma-wayland-protocols-devel
BuildRequires:  plasma-breeze-devel >= 5.25.3

BuildRequires:  chrpath
BuildRequires:  desktop-file-utils

BuildRequires:  kf5-kactivities-devel
BuildRequires:  cmake(AppStreamQt) >= 0.10.4




Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-libs = %{version}-%{release}
Requires:       libkworkspace5 = %{version}-%{release}
Requires:       (policycoreutils if selinux-policy)

%{?kf5_kinit_requires}
Requires:       kactivitymanagerd >= %{majmin_ver_kf5}
Requires:       khotkeys >= %{majmin_ver_kf5}
Requires:       ksystemstats >= %{majmin_ver_kf5}
Requires:       kf5-baloo >= %{kf5_version_min}
Requires:       kf5-kded >= %{kf5_version_min}
Requires:       kf5-kdoctools >= %{kf5_version_min}
Requires:       kf5-kglobalaccel >= %{kf5_version_min}
Requires:       kf5-kxmlrpcclient >= %{kf5_version_min}
Requires:       kf5-kquickcharts >= %{kf5_version_min}
Requires:       qt5-qtquickcontrols
Requires:       qt5-qtgraphicaleffects


Requires:       kf5-frameworkintegration

Recommends:       plasma-milou >= %{majmin_ver_kf5}

Recommends: kde-inotify-survey

Recommends: kf5-audiocd-kio

Recommends: orca

%if ! 0%{?bootstrap}
Requires:       powerdevil >= %{majmin_ver_kf5}
%endif

Requires:       dbus
Requires:       dbus-tools

Requires:       mate-menus

Requires:       coreutils
Requires:       socat
Requires:       xmessage
Requires:       qt5-qttools

Requires:       iceauth xrdb xprop

Requires:       kde-settings-plasma

Requires:       plasma-lookandfeel-opencloudos = %{version}-%{release}

Requires:       systemd

Requires:       oxygen-sounds >= %{majmin_ver_kf5}

Requires:        polkit-kde >= %{majmin_ver_kf5}

Requires:        maliit-keyboard

%if %{with systemdBoot}
Requires:        (uresourced if systemd-oomd-defaults)
%endif

BuildRequires:  kpipewire-devel

%if 0%{?bootstrap}
Provides:       plasmashell = %{version}
%else
Requires:       plasmashell >= %{majmin_ver_kf5}
%endif


Provides: desktop-notification-daemon


%if ! 0%{?bootstrap}
BuildRequires: pkgconfig(iso-codes)
%endif
Requires: iso-codes


%if ! %{with wayland_default}
Recommends: %{name}-wayland = %{version}-%{release}
Requires:   %{name}-xorg = %{version}-%{release}
%else
Requires:   %{name}-wayland = %{version}-%{release}
Recommends: %{name}-xorg = %{version}-%{release}
%endif

%description
Plasma 5 libraries and runtime components

%package common
Summary: Common files for %{name}
%description common
%{name}.

%package -n libkworkspace5
Summary: Runtime libkworkspace5 library
Requires:  %{name}-common = %{version}-%{release}
%description -n libkworkspace5
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Requires:  %{name}-common = %{version}-%{release}
Provides: plasma-packagestructure = %{version}-%{release}
%description libs
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
Requires:       libkworkspace5 = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation and user manuals for %{name}
License:        GFDL
Requires:       %{name}-common = %{version}-%{release}
BuildArch: noarch
%description    doc
Documentation and user manuals for %{name}.

%package geolocation
Summary: Plasma5 geolocation components
Requires: %{name}-geolocation-libs = %{version}-%{release}
%description geolocation
%{summary}.

%package geolocation-libs
Summary: Plasma5 geolocation runtime libraries
Requires: %{name}-common = %{version}-%{release}
Requires: %{name}-geolocation = %{version}-%{release}
%description geolocation-libs
%{summary}.

%package -n sddm-breeze
Summary:        SDDM breeze theme
Requires:       kde-settings-sddm
Requires:       kf5-plasma >= %{kf5_version_min}
Requires:       qt5-qtquickcontrols
Recommends:     qt5-qtvirtualkeyboard
Requires:       %{name} = %{version}-%{release}
BuildRequires:  desktop-backgrounds-compat
Requires:       desktop-backgrounds-compat
BuildArch: noarch
%description -n sddm-breeze
%{summary}.

%package -n sddm-wayland-plasma
Summary:        Plasma Wayland SDDM greeter configuration
Provides:       sddm-greeter-displayserver
Requires:       kwin-wayland >= %{majmin_ver_kf5}
Requires:       maliit-keyboard
%if %{with sddm_wayland_default}
Supplements:    (sddm and plasma-workspace-wayland)
%endif
BuildArch:      noarch

%description -n sddm-wayland-plasma
This package contains configuration and dependencies for SDDM
to use KWin for the Wayland compositor for the greeter.

%package wayland
Summary:        Wayland support for Plasma
Requires:       %{name} = %{version}-%{release}
Requires:       kwin-wayland >= %{majmin_ver_kf5}
Requires:       kwayland-integration >= %{majmin_ver_kf5}
Requires:       xorg-x11-server-Xwayland
Requires:       qt5-qtwayland
Requires:       qt5-qttools
Requires:       xdg-desktop-portal-kde >= %{majmin_ver_kf5}
%description wayland
%{summary}.

%package x11
Summary:        Xorg support for Plasma
Provides:       %{name}-xorg = %{version}-%{release}
Provides:       %{name}-xorg = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       kwin-x11 >= %{majmin_ver_kf5}
Requires:       xorg-x11-server-Xorg
Requires:       xsetroot
Provides:       deprecated()
%description x11
%{summary}.

%package -n plasma-lookandfeel-opencloudos
Summary:  OpenCloudOS look-and-feel for Plasma
Requires: %{name} = %{version}-%{release}
BuildArch: noarch
%description -n plasma-lookandfeel-opencloudos
%{summary}.


%prep
%autosetup -a 20 -p1

cp -a lookandfeel/org.kde.breeze lookandfeel/org.opencloudos
cp -a lookandfeel/org.kde.breezetwilight/* lookandfeel/org.opencloudos
install -m 0644 %{SOURCE15} lookandfeel/org.opencloudos/metadata.desktop
cat >> lookandfeel/CMakeLists.txt <<EOL
plasma_install_package(org.opencloudos org.opencloudos.desktop look-and-feel lookandfeel)
EOL


%build
%{cmake_kf5} \
  -DINSTALL_SDDM_WAYLAND_SESSION:BOOL=ON \
  %{?with_wayland_default:-DPLASMA_WAYLAND_DEFAULT_SESSION:BOOL=ON}

%cmake_build


%install
%cmake_install

chrpath --delete %{buildroot}%{_kf5_qtplugindir}/phonon_platform/kde.so


ln -sf \
  %{_datadir}/backgrounds/default.png \
  %{buildroot}%{_datadir}/plasma/look-and-feel/org.opencloudos.desktop/contents/components/artwork/background.png

cp -alf %{buildroot}%{_datadir}/sddm/themes/breeze/ \
        %{buildroot}%{_datadir}/sddm/themes/01-breeze-opencloudos
ln -sf  %{_datadir}/backgrounds/default.png \
        %{buildroot}%{_datadir}/sddm/themes/01-breeze-opencloudos/components/artwork/background.png
install -m644 -p breeze-opencloudos/* \
        %{buildroot}%{_datadir}/sddm/themes/01-breeze-opencloudos/
sed -i -e 's|^showlogo=.*$|showlogo=shown|g' %{buildroot}%{_datadir}/sddm/themes/01-breeze-opencloudos/theme.conf
sed -i -e 's|^logo=.*$|logo=%{_datadir}/pixmaps/opencloudos_whitelogo.svg|g' %{buildroot}%{_datadir}/sddm/themes/01-breeze-opencloudos/theme.conf

mkdir -p %{buildroot}%{_prefix}/lib/sddm
mv %{buildroot}%{_sysconfdir}/sddm.conf.d %{buildroot}%{_prefix}/lib/sddm

sed -i -e 's|^Image=.*$|Image=OpenCloudOS|g' \
  %{buildroot}%{_kf5_datadir}/plasma/look-and-feel/org.opencloudos.desktop/contents/defaults

install -m644 -p -D %{SOURCE10} %{buildroot}%{_sysconfdir}/pam.d/kde

%if %{with systemdBoot}
install -m644 -p -D %{SOURCE11} %{buildroot}%{_sysconfdir}/xdg/startkderc
%endif

mkdir -p %{buildroot}%{_userunitdir}/plasma-core.target.d/
mkdir -p %{buildroot}%{_userunitdir}/plasma-workspace@.target.d/

install -m644 -p -D %{SOURCE40} %{buildroot}%{_userunitdir}/plasma-core.target.d/ssh-agent.conf
install -m644 -p -D %{SOURCE41} %{buildroot}%{_userunitdir}/plasma-core.target.d/spice-vdagent.conf

%find_lang all --with-html --all-name

grep "%{_kf5_docdir}" all.lang > %{name}-doc.lang
grep libkworkspace.mo all.lang > libkworkspace5.lang
cat *.lang | sort | uniq -u > %{name}.lang


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.{klipper,plasmashell,systemmonitor}.desktop

%post
if [ -s /usr/sbin/setsebool ] ; then
  setsebool -P selinuxuser_execmod 1 ||:
fi

%files common
%license LICENSES

%files -f %{name}.lang
%{_kf5_bindir}/gmenudbusmenuproxy
%{_kf5_bindir}/kcminit
%{_kf5_bindir}/kcminit_startup
%{_kf5_bindir}/klipper
%{_kf5_bindir}/krunner
%{_kf5_bindir}/ksmserver
%{_kf5_bindir}/ksplashqml
%{_kf5_bindir}/plasmashell
%{_kf5_bindir}/plasmawindowed
%{_kf5_bindir}/plasma_session
%{_kf5_bindir}/plasma-apply-*
%{_kf5_bindir}/plasma-interactiveconsole
%{_kf5_bindir}/plasma-localegen-helper
%{_kf5_bindir}/plasma-shutdown
%{_kf5_bindir}/plasma_waitforname
%{_kf5_bindir}/systemmonitor
%{_kf5_bindir}/xembedsniproxy
%{_kf5_bindir}/kcolorschemeeditor
%{_kf5_bindir}/kde-systemd-start-condition
%{_kf5_bindir}/kfontinst
%{_kf5_bindir}/kfontview
%{_kf5_bindir}/lookandfeeltool
%{_kf5_qmldir}/org/kde/*
%{_libexecdir}/baloorunner
%{_libexecdir}/ksmserver-logout-greeter
%{_libexecdir}/kf5/kauth/fontinst*
%{_libexecdir}/kfontprint
%{_libexecdir}/plasma-changeicons
%{_libexecdir}/plasma-dbus-run-session-if-needed
%{_kf5_datadir}/plasma/avatars/
%{_kf5_datadir}/plasma/nightcolor/
%{_kf5_datadir}/plasma/plasmoids/
%{_kf5_datadir}/plasma/services/
%{_kf5_datadir}/plasma/wallpapers/
%dir %{_kf5_datadir}/plasma/look-and-feel/
%{_kf5_datadir}/plasma/look-and-feel/org.kde.breeze.desktop/
%{_kf5_datadir}/plasma/look-and-feel/org.kde.breezedark.desktop/
%{_kf5_datadir}/plasma/look-and-feel/org.kde.breezetwilight.desktop/
%{_kf5_datadir}/solid/
%{_kf5_datadir}/kstyle/
%if %{with systemdBoot}
%{_sysconfdir}/xdg/startkderc
%endif
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/zsh/site-functions/_plasmashell
%{_datadir}/icons/hicolor/*/*/*font*.png
%{_datadir}/icons/hicolor/scalable/apps/preferences-desktop-font-installer.svgz
%{_datadir}/desktop-directories/*.directory
%{_datadir}/dbus-1/services/*.service
%{_datadir}/dbus-1/system-services/org.kde.fontinst.service
%{_datadir}/dbus-1/system-services/org.kde.localegenhelper.service
%{_datadir}/dbus-1/system.d/org.kde.fontinst.conf
%{_datadir}/dbus-1/system.d/org.kde.localegenhelper.conf
%{_datadir}/knsrcfiles/*.knsrc
%{_datadir}/kfontinst/icons/hicolor/*/actions/*font*.png
%{_datadir}/konqsidebartng/virtual_folders/services/fonts.desktop
%{_datadir}/krunner/dbusplugins/plasma-runner-baloosearch.desktop
%{_datadir}/kxmlgui5/kfontview/kfontviewpart.rc
%{_datadir}/kxmlgui5/kfontview/kfontviewui.rc
%{_kf5_datadir}/kservices5/ServiceMenus/installfont.desktop
%{_kf5_datadir}/kio/servicemenus/setaswallpaper.desktop
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/kservicetypes5/*.desktop
%{_kf5_datadir}/knotifications5/*.notifyrc
%{_kf5_datadir}/config.kcfg/*
%{_kf5_datadir}/kio_desktop/
%{_kf5_datadir}/kconf_update/delete_cursor_old_default_size.pl
%{_kf5_datadir}/kconf_update/delete_cursor_old_default_size.upd
%{_kf5_datadir}/kconf_update/icons_remove_effects.upd
%{_kf5_datadir}/kconf_update/style_widgetstyle_default_breeze.pl
%{_kf5_datadir}/kconf_update/style_widgetstyle_default_breeze.upd
%{_kf5_metainfodir}/*.xml
%{_kf5_datadir}/applications/kcm_*
%{_kf5_datadir}/applications/org.kde.klipper.desktop
%{_kf5_datadir}/applications/org.kde.plasmashell.desktop
%{_kf5_datadir}/applications/org.kde.systemmonitor.desktop
%{_kf5_datadir}/applications/org.kde.kcolorschemeeditor.desktop
%{_kf5_datadir}/applications/org.kde.kfontview.desktop
%{_kf5_datadir}/applications/org.kde.plasmawindowed.desktop
%{_kf5_datadir}/qlogging-categories5/*.categories
%{_sysconfdir}/xdg/plasmanotifyrc
%{_kf5_datadir}/kpackage/kcms/kcm_autostart/
%{_kf5_datadir}/kpackage/kcms/kcm_colors/
%{_kf5_datadir}/kpackage/kcms/kcm_cursortheme/
%{_kf5_datadir}/kpackage/kcms/kcm_desktoptheme/
%{_kf5_datadir}/kpackage/kcms/kcm_feedback/
%{_kf5_datadir}/kpackage/kcms/kcm_fonts/
%{_kf5_datadir}/kpackage/kcms/kcm_lookandfeel/
%{_kf5_datadir}/kpackage/kcms/kcm_nightcolor/
%{_kf5_datadir}/kpackage/kcms/kcm_notifications/
%{_kf5_datadir}/kpackage/kcms/kcm_regionandlang/
%{_kf5_datadir}/kpackage/kcms/kcm_style/
%{_kf5_datadir}/kpackage/kcms/kcm_users/
%{_kf5_datadir}/kpackage/kcms/kcm_icons/
%{_kf5_datadir}/polkit-1/actions/org.kde.fontinst.policy
%{_kf5_datadir}/polkit-1/actions/org.kde.localegenhelper.policy
%{_userunitdir}/*.service
%{_userunitdir}/plasma-core.target
%dir %{_userunitdir}/plasma-core.target.d/
%{_userunitdir}/plasma-core.target.d/ssh-agent.conf
%{_userunitdir}/plasma-core.target.d/spice-vdagent.conf
%{_userunitdir}/plasma-workspace.target
%{_userunitdir}/plasma-workspace-wayland.target
%{_userunitdir}/plasma-workspace-x11.target
%dir %{_userunitdir}/plasma-workspace@.target.d/
%config(noreplace) %{_sysconfdir}/pam.d/kde

%files doc -f %{name}-doc.lang


%files -n libkworkspace5 -f libkworkspace5.lang
%{_libdir}/libkworkspace5.so.5*


%files libs
%{_sysconfdir}/xdg/taskmanagerrulesrc
%{_libdir}/libcolorcorrect.so.*
%{_libdir}/libtaskmanager.so.*
%{_libdir}/libweather_ion.so.*
%{_libdir}/libkrdb.so
%{_libdir}/libnotificationmanager.*
%{_libdir}/libkfontinst*
%{_kf5_qtplugindir}/plasma/applets/
%{_kf5_qtplugindir}/plasma/dataengine/
%if 0%{?kf5_pim}
%{_kf5_qtplugindir}/plasmacalendarplugins/
%endif
%exclude %{_kf5_qtplugindir}/plasma/dataengine/plasma_engine_geolocation.so
%exclude %{_kf5_qtplugindir}/plasma/geolocationprovider/plasma-geolocation-gps.so
%exclude %{_kf5_qtplugindir}/plasma/geolocationprovider/plasma-geolocation-ip.so
%dir %{_kf5_qtplugindir}/phonon_platform/
%{_kf5_qtplugindir}/phonon_platform/kde.so
%{_kf5_qtplugindir}/kpackage/packagestructure/*.so
%{_kf5_plugindir}/kio/*.so
%{_kf5_plugindir}/kded/*.so
%{_kf5_plugindir}/krunner/*
%{_qt5_plugindir}/plasma/kcms/systemsettings/kcm_*.so
%{_libdir}/kconf_update_bin/krunnerhistory
%{_libdir}/kconf_update_bin/krunnerglobalshortcuts
%{_libdir}/kconf_update_bin/plasmashell-5.27-use-panel-thickness-in-default-group
%{_kf5_qtplugindir}/kf5/parts/kfontviewpart.so
%{_kf5_qtplugindir}/kf5/thumbcreator/fontthumbnail.so
%{_kf5_qtplugindir}/plasma/containmentactions/plasma_containmentactions_applauncher.so
%{_kf5_qtplugindir}/plasma/containmentactions/plasma_containmentactions_contextmenu.so
%{_kf5_qtplugindir}/plasma/containmentactions/plasma_containmentactions_paste.so
%{_kf5_qtplugindir}/plasma/containmentactions/plasma_containmentactions_switchdesktop.so
%{_kf5_qtplugindir}/plasma/containmentactions/plasma_containmentactions_switchwindow.so
%{_kf5_qtplugindir}/plasma/containmentactions/plasma_containmentactions_switchactivity.so
%{_kf5_qtplugindir}/plasma/kcminit/kcm_fonts_init.so
%{_kf5_qtplugindir}/plasma/kcminit/kcm_style_init.so
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/kcm_fontinst.so
%{_libexecdir}/plasma-sourceenv.sh
%{_kf5_datadir}/kconf_update/krunnerhistory.upd
%{_kf5_datadir}/kconf_update/krunnerglobalshortcuts2.upd
%{_kf5_datadir}/kconf_update/plasmashell-5.27-use-panel-thickness-in-default-group.upd
%{_kf5_datadir}/kglobalaccel/org.kde.krunner.desktop

%files geolocation
%{_kf5_qtplugindir}/plasma/dataengine/plasma_engine_geolocation.so
%{_kf5_qtplugindir}/plasma/geolocationprovider/plasma-geolocation-gps.so
%{_kf5_qtplugindir}/plasma/geolocationprovider/plasma-geolocation-ip.so


%files geolocation-libs
%{_libdir}/libplasma-geolocation-interface.so.5*

%files devel
%{_libdir}/libcolorcorrect.so
%{_libdir}/libweather_ion.so
%{_libdir}/libtaskmanager.so
%{_libdir}/libplasma-geolocation-interface.so
%{_libdir}/libkworkspace5.so
%dir %{_includedir}/plasma/
%{_includedir}/colorcorrect/
%{_includedir}/plasma/weather/
%{_includedir}/kworkspace5/
%{_includedir}/plasma/geolocation/
%{_includedir}/taskmanager/
%{_includedir}/notificationmanager/
%{_libdir}/cmake/KRunnerAppDBusInterface/
%{_libdir}/cmake/KSMServerDBusInterface/
%{_libdir}/cmake/LibColorCorrect
%{_libdir}/cmake/LibKWorkspace/
%{_libdir}/cmake/LibTaskManager/
%{_libdir}/cmake/LibNotificationManager/
%{_datadir}/dbus-1/interfaces/*.xml

%files -n sddm-breeze
%{_datadir}/sddm/themes/breeze/
%{_datadir}/sddm/themes/01-breeze-opencloudos/

%files -n sddm-wayland-plasma
%{_prefix}/lib/sddm/sddm.conf.d/plasma-wayland.conf

%files wayland
%{_kf5_bindir}/startplasma-wayland
%if ! %{with wayland_default}
%{_datadir}/wayland-sessions/plasmawayland.desktop
%else
%{_datadir}/wayland-sessions/plasma.desktop
%endif

%files x11
%{_kf5_bindir}/startplasma-x11
%if 0%{?startkde}
%{_kf5_bindir}/startkde
%endif
%if ! %{with wayland_default}
%{_datadir}/xsessions/plasma.desktop
%else
%{_datadir}/xsessions/plasmax11.desktop
%endif

%files -n plasma-lookandfeel-opencloudos
%{_kf5_datadir}/plasma/look-and-feel/org.opencloudos.desktop/


%changelog
* Thu Jan 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 5.27.11.1-2
- Rebuild for icu-74.2

* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.11.1-1
- initial build
